/**
 * Name    : Localization
 * Purpose : Change application language according to device language.
 * Params  : -- string -- any text value which want to convert.
 * Returns : -- Predefine change text according to selected language. 
 * Author  : Rishav Goyal;
 **/
window.App = window.App || {};
(function() {
	App.language ={
		en: {
        'logoutConfirmation' : 'Are you sure you want to logout ?',
        'exitApp' : 'Are you sure you want to exit?',
		    'login'  : 'Sign In',
		    'logout' : 'Logout',
		    'forgot_password' : 'Forgot your password?',
		    'keep_login' : 'Keep me logged in.',
		    'enter_password' : 'Password',
		    'user_id' : 'User Name',
		    'jumpingfrog_loading' : 'JumpingFrog Loading',
		    'want_to_exit' : 'Are you sure you want to exit?',
		    'yes' : 'Yes',
		    'no' : 'No',
		    'user_home' : 'User Home',
		    'user_profile' : 'User Profile',
		    'settings' : 'Settings',
		    'user_assignments' : 'User Assignments',
		    'calendar' : 'Calendar',
		    'child_list' : 'Child List',
		    'ptm_remark' : 'PTC',
		    'image_media' : 'Image Media',
		    'video_media' : 'Video Media',
		    'video' : 'Videos',
		    'group_list' : 'Group List',
		    'wall_list' : 'Wall List',
		    'change_password' : 'Change Password',
		    'user_groups' : 'User Groups',
		    'about_app' : 'About Jumping Frog',
		    'add_comment' : 'Add Comment',
		    'add_media' : 'Add media',
		    'add_remark' : 'Add Remark',
		    'create_new_item' : 'Create New',
		    'filter' : 'Filter',
		    'invite_people' : 'Invite People',
		    'report_issue' : 'Report Issue',
		    'schedule' : 'Schedule',
		    'examination' : 'Exam Schedule',
		    'date' : 'Date',
		    'start_time' : 'Start Time',
		    'duration' : 'Duration',
		    'cancel' : 'Cancel',
		    'comment' : 'Comment',
		    'post' : 'Post',
		    'text' : 'Text',
		    'add_link' : 'Add Link',
		    'submit' : 'Submit',
		    'invite' : 'To',
		    'create' : 'Create',
		    'to' : 'To',
		    'enter_name' : 'Enter Name',
		    'write_issue' : 'Enter Issue',
            'write_title' : 'Enter Title',
		    'report' : 'Report',
            'ignore' : 'Ignore',
		    'okay' : 'Okay',
		    'enter_your_email' : 'Enter your email id',
		    'select_media_source' : 'Select Media Source',
		    'camera' : 'Appareil photo',
		    'gallery' : 'Gallery',
		    'accept' : 'Accept',
		    'decline' : 'Decline',
		    'unjoin' : 'Unjoin',
		    'join' : 'Join',
        	'forgot_pswd_title' : 'A new password would be sent to your registered email',
          	'insert_user_id' : 'Enter User Name',
        	'user_name' : 'username',
        	'Send' : 'Send',
        	'january' : 'Jan',
        	'february' : 'Feb',
        	'march' : 'Mar',
        	'april' : 'Apr',
        	'may' : 'May',
        	'june' : 'Jun',
        	'july' : 'Jul',
        	'august' : 'Aug',
        	'september' : 'Sep',
        	'october' : 'Oct',
        	'november' : 'Nov',
        	'december' : 'Dec',
        	'event' : 'Event',
        	'billboard' : 'Billboard',
        	'profile' : 'Profile',
        	'assignments' : 'Assignments',
        	'albums' : 'Albums',
        	'students_list' : 'Student List',
        	'groups' : 'Groups',
        	'notifications' : 'Notifications',
        	'events' : 'Events',
        	'ptm_request' : 'PTC Request',
        	'ptm_popup_text' : 'PTC request concerning the well being of your child',
        	'event_name' : 'Event Name',
            'event_venue' : 'Event Venue',
        	'enter_description' : 'Enter Description',
          	'enter_text' : 'Enter Text',
          	'ptm_title' : 'Schedule PTC',
          	'submit_assignment' : 'Submit Assignment',
          	'insert_comment' : 'Insert Comment',
          	'published'  : 'Published',
          	'due' : 'Pending',
          	'id' : 'ID',
          	'class' : 'Class',
          	'fathers_name' : 'Father\'s Name',
          	'mothers_name' : 'Mother\'s Name',
          	'emergency_contact' : 'Emergency Contact',
          	'groupUnjoinTitle':'Are you sure to unjoin the group?',
          	'loginErrorMessage' : 'Fields can\'t be left blank',
          	'errorTitle' : 'Alert',
          	'blankEmailMessage' : 'Email can\'t be blank',
          	'allFieldBlankMessage' : 'All fields can\'t be blank',
          	'inviteFieldBlankMessage' : 'Recipients field can\'t be blank',
          	'contentFieldBlankMessage' : 'Message body can\'t be blank',
          	'insert_comment_max_160' : 'Insert Comment[maximum limit 160 characters]',
          	'sorryErrorAtOurEnd' : 'Something went wrong at our end. Please try again.',
          	'ohSnapTitle' : 'Alert',
          	'eventDeclineTitle' : 'You want to decline the event request?',
          	'usernameLoginErrorMessage' : 'Username can\'t be blank',
          	'passwordLoginErrorMessage' : 'Password can\'t be blank',
          	'ptmAcceptTitle' : 'Invitation accepted',
          	'newPTMCreatedTitle' : 'PTC successfully created',
          	'emptyFieldsErrorTitle' : 'Fields can\'t be left blank',
          	'newEventCreatedTitle' : 'Event successfully created',
            'newPtmCreatedTitle' : 'Ptc successfully created',
          	'deleteImageTitle' : 'Delete this image?',
          	'deleteFolderTitle' : 'Delete this folder?',
            'deleteNotification' : 'Delete this Notification?',
            'deleteVideoTitle' : 'Delete this video?',
          	'couldntFetchData' : 'Couldn\'t fetch data. Please try again',
          	'chooseExistingImage' : 'Choose Existing Image',
            'with_attachment' : 'With Attachment',
            'without_attachment' : 'Without Attachment',
          	'takePhoto' : 'Take a Photo',
          	'createAlbum' : 'Create New Album',
          	'' : 'Are you sure you want to logout?',
          	'endTime' : "End Time",
          	'sorry':'Alert',
          	'textLimitExceed':'Text limit can not exceed 160 characters.',
          	'success':'Success!!',
          	'submit_issue':'Issue report submitted successfully!',
          	'submit_assignment_success':'Assignment submitted successfully!',
          	'media':'Media',
          	'exam_schedule':'Exam Schedule',
          	'about_us':'About Us',
          	'loginFailed' : 'Login Failed',
          	'logoutFailed' : 'Couldn\'t logout',
          	'forgotPassword' : 'Email couldn\'t be send',
          	'forgotSuccess' : 'An auto generated password has been sent to your registered email id : ',
          	'couldntAddFolder' : 'Folder couldn\'t be added' ,
          	'couldntDeleteFolder' : 'Folder couldn\'t be deleted',
          	'couldntDeletePhoto' : 'Image couldn\'t be deleted', 
          	"editName" : "Edit Name",
          	"couldnteditImage" : "Image couldn\'t be edited",
          	"couldnteditVideo" : "Video couldn\'t be edited",
          	"update" : "Update",
            "couldntFetchEvent" : "Couldn\'t fetch Events",
            "couldntFetchGallery" : "Couldn\'t fetch Photo Gallery",
            "couldntFetchVideoGallery" : "Couldn\'t fetch Video Gallery",
            "couldntFetchStudent" : "Couldn\'t fetch Student Data",
            "couldntFetchNotification" : "Couldn\'t fetch Notifications",            
            "timeErrorTitle" : "Event cannot be created for specified date and time",
            "timeErrorTitlePtm" : "Ptc request cannot be created for specified date and time",
            "dateErrorTitle" : "Invalid Date",
            "couldntAddRemark" : "Couldn\'t add Remark",
            "couldntAddEvent" : "Event couldn\'t be created",
            "couldntUpdateEvent" : "Event Status couldn\'t be updated",
            "userError" : "Select users from suggestions",
            "networkError" : "No Internet Connection. Please connect to Internet and try again.",
            "couldntFetchPtm" : "Couldn\'t fetch Ptc requests",
            "ptmAccepted" : "Accepted",
            "ptmIgnored" : "Ignored",
            "ptmPending" : "Pending",
            "couldntCreatePtm" : "Couldn\'t create Ptc request",
            "couldntChildren" : "Couldn\'t get Children List",
            "couldntFetchGrades" : "Couldn\'t get Grade List",
            "couldntFetchGroups" : "Couldn\'t get Groups",
            "searchFieldBlank" : "Search field cannot be blank",
            "couldntComments" : "Couldn\'t add Comments",
            "couldntLike" : "Couldn\'t like post",
            "couldntDisLike" : "Couldn\'t dislike post",
            "couldntSubmitAssignment" : "Couldn\'t submit assignment",
            "successSubmitAssignment" : "Assignment submitted",
            "successSubmitHomework" : "Homework submitted",
            "successCreatedAssignment" : "Assignment created",
            "successCreatedHomework" : "Homework created",
            "couldntFetchTeam" : "Couldn\'t fetch Team List",     
            "timeAssignmentTitle" : "Due Date should be greater than Assignment Date", 
            "currenDateError" : "Assignment Due Date should be greater than Current Date",  
      			'published' : 'Published',
      			'graded' : 'Graded',
      			'due' : 'Pending',
      			'view_grades' : 'View Grades',
      			'past' : 'Past',
      			'upcoming' : 'Upcoming',
      			'invitees_status' : 'Invitees Status ',
      			'select_class' : 'Select Class',
      			'Noexams_forthisClass' : 'No Exams for this Class ',
      			'exam_name' : 'Exam Name',
      			'type' : 'Type',
      			'subject' : 'Subject',
      			'start_date' : 'Start Date',
      			'time' : 'Time',
      			'description' : 'Description',
      			'ptm_duration' : 'PTC Duration',
      			'teacher' : 'Teacher',
      			'student' : 'Student',
      			'invitees_list' : 'Invitees List',
      			'mother' : 'Mother',
      			'father' : 'Father',
      			'minutes' : 'minutes',
      			'images' : 'Images',
            'examName' : 'Exam Name',
            'childTeacherError' : 'Select Child',
            'unauthorized' : 'Unauthorized Access. Please login again.',
            'couldntUpload' : 'File couldn\'t be uploaded',
            'couldntUploadImage' : 'Image couldn\'t be added',
            'imageTitleError' : "Enter Image Title",            
            'create_post' : 'Create Post',
            'link' : 'Enter Link',
            'descriptionBlankError' : 'Description can\'t be blank',
            'couldntCreatePost' : "Post couldn\'t be created",
            'postSuccess' : "Post successfully created",
            'teacherError' : "No Teacher for the selected child",
            'userBlankError' : "Add atleast one group or member",
            'loadMore' : "Load More",
            'noMore' : "No more post to show.",
            'noGroupsPresent' : 'No groups found',
            'selectSubject' : 'Select Subject',
            'selectChild' : 'Select Child',
            'couldntFetchCalendar' : 'Couldn\'t fetch Calendar Events',
            'couldntFetchRemarks' : 'Couldn\'t fetch Calendar Remarks',
		},
		fr: {
      'exitApp' : 'Êtes-vous sûr de vouloir quitter ?',
			'login'  : 'Connexion',
		    'logout' : 'D�connexion',
		    'forgot_password' : 'oubli� mot de passe',
		    'keep_login':'Rester connecté',
		    'enter_password':'mot de passe',
		    'user_id':'ID utilisateur',
		    'jumpingfrog_loading':'chargement de la JumpingFrog',
		    'want_to_exit' : 'Etes-vous sûr de vouloir quitter?',
		    'yes' : 'Oui',
		    'no' : 'Aucun',
		    'user_home' : 'accueil de l\'utilisateur',
		    'user_profile' : 'profil de l\'utilisateur',
		    'settings' : 'paramètres',
		    'user_assignments' : 'Les affectations d\'utilisateurs',
		    'calendar' : 'calendrier',
		    'child_list' : 'Liste des enfants',
		    'ptm_remark' : 'PTC Remarques',
		    'image_media' : 'supports d\'images',
		    'video_media' : 'supports vidéo',
		    'video' : 'vidéo',
		    'group_list' : 'liste des groupes',
		    'wall_list' : 'liste de mur',
		    'change_password' : 'changer le mot de passe',
		    'user_groups' : 'des groupes d\'utilisateurs',
		    'about_app' : 'À propos de Jumping Frog',
		    'add_comment' : 'Ajouter un commentaire',
		    'add_media' : 'Ajouter le média',
		    'add_remark' : 'Ajouter Remarque',
		    'create_new_item' : 'Créer un nouveau',
		    'create_post' : 'Créer Poster',
		    'filter' : 'Filtre',
		    'invite_people' : 'Inviter des personnes',
		    'report_issue' : 'Rapport émission'	,
		    'schedule' : 'calendrier',
		    'examination' : 'Horaire des examens',
		    'date' : 'Date',
		    'start_time' : 'Heure de début',
		    'duration' : 'Durée',
		    'cancel' : 'Annuler',
		    'comment' : 'Commentaire',
		    'post' : 'Poster',
		    'text' : 'Texte',
		    'add_link' : 'Ajouter un lien',
		    'submit' : 'Soumettre',
		    'invite' : 'Inviter',
		    'create' : 'Créer',
		    'to' : 'À',
		    'enter_name' : 'Entrez le nom',
		    'write_issue' : 'Entrez émission',
            'write_title' : 'Entrez Titre',
		    'report' : 'Rapport',
		    'okay' : 'Bien',
		    'enter_your_email' : 'Entrez votre email id',
		    'select_media_source' : 'Sélectionnez médias Source',
		    'camera' : 'Appareil photo',
		    'gallery' : 'Galerie',
		    'accept' : 'Accepter',
		    'decline' : 'Déclin',
		    'unjoin' : 'Unjoin',
		    'join' : 'Joindre',
	        'forgot_pswd_title' : 'Un nouveau mot de passe sera envoyé à votre e-mail enregistrée',
          	'insert_user_id' : "Insérer l'ID utilisateur",
	        'user_name' : '',
	        'send' : 'Envoyer',
        	'january' : 'Janvier',
        	'february' : 'Février',
        	'march' : 'Mars',
        	'april' : 'Avril',
        	'may' : 'Mai',
        	'june' : 'Juin',
        	'july' : 'Juillet',
        	'august' : 'Août',
        	'september' : 'Septembre',
        	'october' : 'Octobre',
        	'november' : 'Novembre',
        	'december' : 'Décembre',
        	'event' : 'Événement',
        	'billboard' : 'Panneau d\'affichage',
        	'profile' : 'Profil',
        	'assignments' : 'Missions',
        	'albums' : 'Albums',
        	'students_list' : 'Liste des étudiants',
        	'groups' : 'Groupes',
        	'notifications' : 'Notificatons',
        	'events' : 'Événements',
        	'ptm_request' : 'PTC Demande',
        	'ptm_popup_text' : 'Demande PTC concernant le bien-être de votre enfant',
        	'event_name' : 'Nom de l\'événement',
            'event_venue' : 'Lieu de l\'événement',
        	'enter_description' : 'Entrez description',
          	'enter_text' : 'saisir du texte',
          	'ptm_title' : 'Annexe PTC',
          	'submit_assignment':'présenter Affectation',
          	'insert_comment':'Insérer un commentaire',
          	'published'  : 'Publié',
          	'due' : 'Dû',
          	'id' : 'ID',
          	'class' : 'Classe',
          	'fathers_name' : 'Nom du père',
          	'mothers_name' : 'Nom de la mère',
          	'emergency_contact' : 'En cas d\'urgence',
          	'groupUnjoinTitle':'Etes-vous sûr de unjoin le groupe',
          	'loginErrorTitle' : 'Les champs ne peuvent pas être laissées en blanc',
          	'errorTitle' : 'alerte',
          	'blankEmailMessage' : 'Email peut pas être vide',
          	'allFieldBlankMessage' : 'Tous les champs ne peuvent pas être vide',
          	'inviteFieldBlankMessage' : 'champ des destinataires ne peut être vide',
          	'contentFieldBlankMessage' : 'Le corps du message ne peut pas être vide',
          	'insert_comment_max_160' : 'Insérer un commentaire [limite maximale de 160 caractères]',
          	'sorryErrorAtOurEnd' : 'Quelque chose s\'est mal passé lors de notre fin. S\'il vous plaît essayez de nouveau.',
          	'ohSnapTitle' : 'alerte',
          	'eventDeclineTitle' : 'Vous voulez diminuer la demande d\'événement?',
          	'usernameLoginErrorMessage' : 'Nom d\'utilisateur ne peut être vide',
          	'passwordLoginErrorMessage' : 'Mot de passe ne peut pas être vide',
          	'ptmAcceptTitle' : 'Invitation acceptée',
          	'newPTMCreatedTitle' : 'PTC créé avec succès',
          	'emptyFieldsErrorTitle' : 'Les champs ne peuvent pas être laissées en blanc',
          	'newEventCreatedTitle' : 'Événement créé avec succès',
            'newPtmCreatedTitle' : 'Ptc créé avec succès',
          	'deleteImageTitle' : 'Supprimer cette image?',
          	'deleteFolderTitle' : 'Supprimer ce dossier?',
            'deleteNotification' : 'Supprimer la présente notification?',
            'deleteVideoTitle' : 'Supprimer cette vidéo?',
          	'couldntFetchData' : 'Impossible de récupérer les données. S\'il vous plaît essayer de nouveau',
          	'chooseExistingImage' : 'Choisissez Image actuelle',
            'with_attachment' : 'avec pièce jointe',
            'without_attachment' : 'sans pièce jointe',
          	'takePhoto' : 'Prendre une photo',
          	'createAlbum' : 'Créer un nouvel album',
          	'logoutConfirmation':'Etes-vous sûr de vouloir vous dconnecter?',
          	'endTime':'Heure de fin',
          	'sorry':'alerte',
          	'textLimitExceed':'limite du texte ne doit pas dépasser 160 caractères.',
          	'success':'Succès !!',
          	'submit_issue':"rapport d'émission soumis avec succès !!!",
          	'submit_assignment_success':'Affectation soumis avec succès!',
          	'media':'Médias',
          	'exam_schedule':'Horaire des examens',
          	'about_us':'À propos de nous',
          	'loginFailed' : 'échec de la connexion',
          	'logoutFailed' : 'Impossible de se déconnecter',
          	'forgotPassword' : 'Email n\'a pas pu être envoyé',
          	'forgotSuccess' : 'E-mail envoyé à votre identifiant enregistré',  
          	'couldntAddFolder' : 'Dossier n\'a pas pu être ajouté' ,    
          	'couldntDeleteFolder' : 'Dossier ne peut pas être supprimé',
          	'couldntDeletePhoto' : 'L\'image ne ​​peut pas être supprimé',
          	"editName" : "Modifier le nom",
            'ignore' : 'ignorer',
          	"couldnteditImage" : "Image n'a pas pu être modifié",
          	"couldnteditVideo" : "Vidéo ne peut être modifié", 
          	"update" : "mettre à jour",
            "couldntFetchEvent" : "Impossible de récupérer des événements",
            "couldntFetchGallery" : "Impossible de récupérer Galerie de photos",
            "couldntFetchVideoGallery" : "Impossible de récupérer Galerie Vidéo",
            "couldntFetchStudent" : "Impossible de récupérer données sur les élèves", 
            "couldntFetchNotification" : "Impossible de récupérer Notifications",
            "timeErrorTitle" : "Événement ne peut pas être créé pour la date et l'heure spécifiées",
            "timeErrorTitlePtm" : "Ptc demande ne peut pas être créé pour la date et l'heure spécifiées",
            "dateErrorTitle" : "date invalide",
            "couldntAddRemark" : "Impossible d'ajouter Remarque",
            "couldntAddEvent" : "Événement n'a pas pu être créé",
            "couldntUpdateEvent" : "Statut de l'événement n'a pas pu être mis à jour",
            "userError" : "Sélectionnez les utilisateurs de suggestions",
            "networkError" : "Pas de connexion Internet . Se il vous plaît se connecter à Internet et essayez à nouveau.",
            "couldntFetchPtm" : "Impossible de récupérer les demandes PTC",
            "ptmAccepted" : "accepté",
            "ptmIgnored" : "ignoré",
            "ptmPending" : "en attendant",
            "couldntCreatePtm" : "Impossible de créer la demande Ptc",
            "couldntChildren" : "Impossible d'obtenir la liste des enfants",
            "couldntFetchGrades" : "Impossible d'obtenir la liste de grade",
            "couldntFetchGroups" : "Impossible d'obtenir Groupes",
            "searchFieldBlank" : "Champ de recherche ne peut être vide",
            "couldntComments" : "Impossible d'ajouter Commentaires",
            "couldntLike" : "Impossible comme après",
            "couldntDisLike" : "Impossible de ne pas aimer après",
            "couldntSubmitAssignment" : "Impossible de soumettre la cession",
            "successSubmitAssignment" : "Affectation soumis",
            "successSubmitHomework" : "devoirs soumis",  
            "successCreatedAssignment" : "Affectation créé",
            "successCreatedHomework" : "devoirs créé",
            "couldntFetchTeam" : "Impossible de récupérer la liste de l'équipe",  
            "timeAssignmentTitle" : "Date d'échéance doit être supérieur à Affectation Date", 
            "currenDateError" : "Affectation Date d'échéance doit être supérieure à la date courante",
      			'published' : 'Publié',     
      			'graded' : 'Graduée',  
      			'due' : 'Dû',  
      			'view_grades' : 'Voir Grades', 
      			'past' : 'Passé',
      			'upcoming' : 'Prochain',
      			'invitees_status' : 'Invités Statut',
      			'select_class' : 'Sélectionner une classe',
      			'Noexams_forthisClass' : 'Aucun examen de cette classe',
      			'exam_name' : 'Nom d&acute;examen',
      			'type' : 'Type',
      			'subject' : 'Sujet',
      			'start_date' : 'Date de début',
      			'time' : 'Temps',
      			'description' : 'Description',
      			'ptm_duration' : 'Durée PTC',
      			'teacher' : 'Professeur',
      			'student' : 'étudiant',
      			'invitees_list' : 'Liste des invités',
      			'mother' : 'Mère',
      			'father' : 'Père',
      			'minutes' : 'procès-verbal',
      			'images' : 'Images',
            'examName' : 'Nom d\'examen',
            'childTeacherError' : 'Sélectionnez enfant',
            'unauthorized' : 'Accès non autorisé . Se il vous plaît vous connecter à nouveau .',
            'couldntUpload' : 'Le fichier ne peut être téléchargé',
            'couldntUploadImage' : 'Image n\'a pas pu être ajouté',
            'imageTitleError' : "Entrez Titre de l'image",
            'link' : 'Entrez Lien',
            'descriptionBlankError' : 'Description ne peut être vide',
            'couldntCreatePost' : "Poster pas pu être créé",
            'postSuccess' : "Poster créé avec succès",
            'teacherError' : "Aucune des enseignants pour l'enfant sélectionné",
            'userBlankError' : "Ajouter atleast un groupe ou d'un membre",
            'loadMore' : "Chargez Plus",
            'noMore' : "No plus de post à afficher.",            
            'noGroupsPresent' : 'Pas de groupes trouvés',
            'selectSubject' : 'Sélectionnez Objet',
            'selectChild' : 'Select Child',
            'couldntFetchCalendar' : 'Couldn\'t fetch Calendar Events',
            'couldntFetchRemarks' : 'Couldn\'t fetch Calendar Remarks',
		}
	},
	translate =  function(string){
		// console.log("System language "+ App.settings.language);
		// var systemLanguage_s = navigator.language;
		var systemLanguage_s = App.settings.language;
		switch (systemLanguage_s) {
		case "en-US":
		case "en":
			return App.language.en[string];			
			break;
			
		case "fr-FR":
		case "fr":
		if(App.language.fr[string]){
			return App.language.fr[string];
		}else{
			return App.language.en[string];
		}			
			break;
		
		default:
			return App.language.en[string];
			break;
		}
	},
  dates = function(examDate)
  {
    var today = new Date(examDate);
    var dd = today.getDate();
    var mm = today.getMonth() + 1;
    var yyyy = today.getFullYear();
    if (dd < 10)
     {
       dd = '0' + dd; 
     } 
    if (mm < 10) 
     { mm = '0' + mm; 
     } 
    var today = dd + '/' + mm + '/' + yyyy;
    return today;
},  
datesFullcalendar = function(examDate)
  {
    var today = new Date(examDate);
    var dd = today.getDate();
    var mm = today.getMonth() + 1;
    var yyyy = today.getFullYear();
    if (dd < 10)
     {
       dd = '0' + dd; 
     } 
    if (mm < 10) 
     { mm = '0' + mm; 
     }
     var today = yyyy+'-'+mm+'-'+dd;
    //var today = dd + '/' + mm + '/' + yyyy;
    return today;
},
 formatAMPM = function(date) {
  var date = new Date(date);
  var hours = date.getHours();
  var minutes = date.getMinutes();
  var ampm = hours >= 12 ? 'pm' : 'am';
  hours = hours % 12;
  hours = hours ? hours : 12; // the hour '0' should be '12'
  minutes = minutes < 10 ? '0'+minutes : minutes;
  var strTime = hours + ':' + minutes + ' ' + ampm;
  return strTime;
},
dateTimeFullcalendar = function(examDate)
  {
    var today = new Date(examDate);
    var dd = today.getDate();
    var mm = today.getMonth() + 1;
    var yyyy = today.getFullYear();
    var hours = today.getHours();
    var minutes = today.getMinutes();
    minutes = minutes < 10 ? '0'+minutes : minutes;
    hours = hours < 10 ? '0'+hours : hours;

    if (dd < 10)
     {
       dd = '0' + dd; 
     } 
    if (mm < 10) 
     { mm = '0' + mm; 
     }
     var today = yyyy+'-'+mm+'-'+dd+'T'+hours+':'+minutes+':00';
    //var today = dd + '/' + mm + '/' + yyyy;
    return today;
};
})();