/**
 * Name    : APP START FILE
 * Purpose : This is the startup file of the Application
             This is the last file to be loaded & processed after everything is in place(deviceready or documentready).
             If we have an autologin procedure, we will pull it here
 * Params  : --
 * Returns : --
 **/
$(document).ready(function() {
	//debugger;//TODO:Remove debugger 
    App.settings.screenHeight = $(window).height();
    if(App.session.device.windows){
    	App.settings.language = navigator.systemLanguage;
    }else{
    	App.settings.language = navigator.language;
    }
    
    if (!((navigator.userAgent.toLocaleLowerCase().indexOf('android') != -1) || (navigator.userAgent.toLocaleLowerCase().indexOf('iphone') != -1) || (navigator.userAgent.toLocaleLowerCase().indexOf('ipod') != -1) || (navigator.userAgent.toLocaleLowerCase().indexOf('ipad') != -1))) {
        App.settings.deviceHeight = $(window).height();
        App.settings.deviceWidth = $(window).width();
        App.start();
    }
});
document.addEventListener("deviceready", function() {
    console.log("Device Ready called");
	App.settings.isDeviceReady = true;
    App.settings.deviceHeight = $(window).height();
    App.settings.deviceWidth = $(window).width();
    onDeviceReady();
    if (App.session.device.android) {
        document.addEventListener("backbutton", App.controller.backButtonHandler, false);
    }
    if(App.session.device.iOS){
        Keyboard.hideFormAccessoryBar(false);    	
		Keyboard.shrinkView(false);
		Keyboard.disableScrollingInShrinkView(true);
		Keyboard.automaticScrollToTopOnHiding = true;
    }
}, false);
document.addEventListener("pause", function() {
    App.settings.appPaused = true;
    App.settings.deviceHeight = $(window).height();
    App.settings.deviceWidth = $(window).width();
}, false);
document.addEventListener("resume", function() {
    setTimeout(function() {
        setTimeout(function() {
            App.settings.appPaused = false;
            App.settings.deviceHeight = $(window).height();
            App.settings.deviceWidth = $(window).width();
            if ($("#popupRegionMask").hasClass("mask_active_h")) {
                App.controller.setMaskHeight();
            } else {
                App.controller.setBodyHeight();
            }
            //only for asus devices, solves rendering issue
            // if(navigator.userAgent.indexOf('ASUS')>-1){ 
            //     $('.show_notification_h').hide(); setTimeout(function(){$('.show_notification_h').show();},10);
            // }            
        }, 400);
    }, 0);
}, false);

/**
 * Name    : onDeviceReady
 * Purpose : Triggers the App.start() function after all the cordova plugins have been included/loaded.
 * Params  : --
 * Returns : --
 **/
function onDeviceReady() {
	try {
        App.settings.deviceId = device.uuid;
        console.log('deviceId ----'+App.settings.deviceId);
		console.log(App.settings.deviceWidth);
        ga_storage._setAccount('UA-60619113-1'); //Replace with your own
        ga_storage._trackPageview('/index.html');
        console.log("__ga set up complete");
		
	} catch (e) {
		// TODO: handle exception
		console.log("error in intialization of google analytics.");
	}
	
	
	if (App.settings.production_mode) {
        if (window.console && window.console.log) window.console.log = function() {};
        if (console && console.log) console.log = function() {};
        if (window.alert) window.alert = function() {};
    }
   App.start();
}