/**
 * Name    : In App Browser
 * Purpose : --
 * Params  : --
 * Returns : --
 **/
// App.native_helper = App.native_helper || {};
/*
 * In App Bowser Helper File.
 * can_do = {
 * 		Load external URL opening in app browser.
 * 		options{
 * 			loadStartCallBack [optional] - function
 * 			loadErrorCallBack [optional] - function
 * 			loadStopCallBack  [optional] - function
 * 			exitCallBack [optional] 	 - function
 * 		} 	
 * }
 * 
 */

App.native_helper = App.native_helper || {};
(function() {
	App.native_helper.in_app_browser = {
		iabInstance : null,
		/**
		 * Name    : loadURL
		 * Purpose : --
		 * Params  : externalUrl - The URL of the destination, options
		 * Returns : --
		 **/
		loadURL : function(externalUrl, options) {
			
			var loadStartCallBack = function(){};
			var loadErrorCallBack = function(){};
			var loadStopCallBack =  function(){};
			var exitCallBack =  function(){};
			
			if(options){
				loadStartCallBack = options.loadStartCallBack || loadStartCallBack();
				loadErrorCallBack = options.loadErrorCallBack || loadErrorCallBack();
				loadStopCallBack = options.loadStopCallBack || loadStopCallBack();
				exitCallBack = options.exitCallBack || exitCallBack();
			}
			
			if (App.settings.isDeviceReady) {
				var url = null;
				if (externalUrl) {

					url = encodeURI(externalUrl);
				}
				this.iabInstance = window.open(url, '_blank', 'location=no');
				this.iabInstance.addEventListener('loadstart', function(event){
					console.log("____IAB loadStart____");
					loadStartCallBack(event);
				});
				this.iabInstance.addEventListener('loaderror', function(error) {
					console.log("____IAB load error____");
					console.log(JSON.stringify(error));
					loadErrorCallBack(error);
					this.iabInstance.close();
				});
				this.iabInstance.addEventListener('loadstop', function(event) {
					console.log("____InApp browser loadstop.____");
					loadStopCallBack(event);
				});
				this.iabInstance.addEventListener('exit', function(event) {
					console.log("____InApp browser Exit.");
					exitCallBack(event);
					this.iabInstance.removeEventListener('loadstart');
					this.iabInstance.removeEventListener('loaderror');
					this.iabInstance.removeEventListener('loadstop');
					this.iabInstance.removeEventListener('exit');
					this.iabInstance = null;
				});
				

			} else {
				console.log("____Device not ready.");
			}
		},

	};
})();
