 /**
 * Name    : Network helper.
 * Purpose : Provdes information about whether the device is connected to a network connetion or not
 			 call PG_checkNetwork()
 * Params  : --
 * Returns : return result object:{reult:true/false,state_info:{}}
 **/
(function(){
	App.network ={
		/**
		 * Name    : checkNetwork
		 * Purpose : returns the status 
		 * Params  : --
		 * Returns : --
		 **/
		checkNetwork : function() {
		    if (App.settings.isDeviceReady) {
		        var networkState = navigator.network.connection.type;
		        var isConnected;
		        // value returned to signify internet connection.
		        var states = {};
		        states[Connection.UNKNOWN] = 'Unknown connection';
		        states[Connection.ETHERNET] = 'Ethernet connection';
		        states[Connection.WIFI] = 'WiFi connection';
		        states[Connection.CELL_2G] = 'Cell 2G connection';
		        states[Connection.CELL_3G] = 'Cell 3G connection';
		        states[Connection.CELL_4G] = 'Cell 4G connection';
		        states[Connection.NONE] = 'No network connection';
		        console.log("Network State is: " + states[networkState]);
		        if (states[networkState] == states[Connection.NONE] || states[networkState] == states[Connection.UNKNOWN]) {
		            isConnected = false;
		        } else {
		            isConnected = true;
		        }
		        var result = {
		            "result": isConnected,
		            "state_info": states[networkState]
		        };
		        return result;
		    } else {
		        console.log("Network Helper LOG: Deivce is not ready yet, can't check state yet");
		        if(navigator && navigator.onLine){
		        	return {
		            	"result": true
		        	};
		        }else{
		        	return {
		            	"result": false
		        	};
		        }
		        
		    }
		}
	};
	
})();
