;(function() {
    app.pages.detail = Backbone.Marionette.Layout.extend({
        template: '#detailLayout',
        events : {
            'click .map_h' : 'showMap',
            'click .photos_h' : 'showImageInWebView',
            'click .lArrow_h' : 'leftArrowClick',
            'click .rArrow_h' : 'rightArrowClick'
        },
        regions: {
            content: ".content_wrapper_h"
        },
        init: function() {
            console.log("detail LAYOUT INIT");            
        },
        onRender: function()
        {
            console.log('in render');
            window.setTimeout( function(){
                window.mySwipe = new Swipe(document.getElementById('slider'), {
                  auto: 10000,
                  continuous: true,
                  disableScroll: false,
                  stopPropagation: false,
                });
            }, 0);
        },
        onCloseLayout: function() {
            console.log("LAYOUT CLOSE");
        },
        leftArrowClick: function(){
            mySwipe.prev();
        },
        rightArrowClick: function(){
            mySwipe.next();
        },
        showImageInWebView : function(e) {
            console.log("Image in webview intialize");
            var imageUrl = $(e.currentTarget).attr('imageurl');
            imageUrl = encodeURI(imageUrl);

            var iabRef = null;

            function iabLoadStart(event) {
                //alert(event.type + ' - ' + event.url);
            }

            function iabLoadStop(event) {
                //  alert(event.type + ' - ' + event.url);
                iabRef.executeScript({
                    code : "console.log('code is here'+document.URL)"
                }, function() {
                    console.log("code executed");
                });
            }

            function iabClose(event) {
                //  alert(event.type);
                iabRef.removeEventListener('loadstart', iabLoadStart);
                iabRef.removeEventListener('loadstop', iabLoadStop);
                iabRef.removeEventListener('exit', iabClose);
            }

            // Cordova is ready
            //

            iabRef = window.open(imageUrl, '_blank', 'location=no');
            iabRef.addEventListener('loadstart', iabLoadStart);
            iabRef.addEventListener('loadstop', iabLoadStop);
            iabRef.addEventListener('exit', iabClose);
        },
        showMap : function(e) {
            console.log("map intialize");
            //var lat = $(e.currentTarget).attr('lat');
            //var long = $(e.currentTarget).attr('long');
            //create complete url here using lat long
            // debugger
            // var imageurl = 'https://www.google.com/maps/dir/29.638611,79.854444';
            // imageUrl = encodeURI(imageurl);

            // if ((navigator.userAgent.toLocaleLowerCase().indexOf('iphone') != -1) || (navigator.userAgent.toLocaleLowerCase().indexOf('ipod') != -1) || (navigator.userAgent.toLocaleLowerCase().indexOf('ipad') != -1)) {
            //     window.open(imageUrl, '_blank', 'location=yes,closebuttoncaption=Close,enableViewportScale=yes');
            // } else {
            //     window.open(imageUrl, '_system');
            // }

        }
    });
})();