;(function() {
    app.pages.homeList = Backbone.Marionette.Layout.extend({
        template: '#homeListLayout',
        regions: {
            content: ".content_wrapper_h"
        },
        events : {
            'click .monuments_h':'monuments',
            'click .pilgrims_h':'pilgrims',
            'click .itenary_h':'itenary',
            'click .about_h':'about',
        },
        init: function() {
            console.log("Home List LAYOUT INIT");

            if(localStorage.getItem('cacheDate')==null)
            {                           

                App.communication.GET({
                    url:'http://www.etplindia.com/asi/test.php',
                    successCallback:function(data){
                        console.log(data);                    
                        localStorage.setItem('monuments',JSON.stringify(data));
                        localStorage.setItem('cacheDate',new Date().getTime()); 
                    },
                    onCompleteCallBack:function(){
                        App.controller.popupsClose();
                    },
                    errorCallback:function(){
                        console.log('api failed');                    
                    }
                });
            }
            else
            {
                var cacheDate = localStorage.getItem('cacheDate');
                cacheDate = new Date(parseInt(cacheDate)).getDate();
                currentDate = new Date().getDate();                
                if(cacheDate!=currentDate)
                {                              

                    App.communication.GET({
                        url:'http://www.etplindia.com/asi/test.php',
                        successCallback:function(data){
                            console.log(data);                    
                            localStorage.setItem('monuments',JSON.stringify(data));
                            localStorage.setItem('cacheDate',new Date().getTime()); 
                        },
                        onCompleteCallBack:function(){
                            App.controller.popupsClose();
                        },
                        errorCallback:function(){
                            console.log('api failed');                    
                        }
                    });
                }

            }
        },
        onCloseLayout: function() {
            console.log("LAYOUT CLOSE");
        },
        monuments: function() {
            console.log("monuments clicked");
            App.sessionVars.monumentType = 'normal';
            if(localStorage.getItem('monuments')==null)
            {

                App.controller.showPopup('loader');
                App.communication.GET({
                url:'http://etplindia.com/asi/test.php',
                successCallback:function(data){
                    console.log(data);
                    App.sessionVars.listType = 'monuments';
                    localStorage.setItem('monuments',JSON.stringify(data));
                    localStorage.setItem('cacheDate',new Date().getTime()); 
                    App.routers.mainRouter.navigate('monuments',{
                        trigger:true
                    });
                },
                onCompleteCallBack:function(){
                    App.controller.popupsClose();
                },
                errorCallback:function(){
                    console.log('api failed');
                    App.controller.showSecondPopup("alert",{
                        title:'Monument List could not be fetched.',
                        callBack : function(){                            
                        }
                    },null);
                }
            });
                
            }
            else
            {
                App.sessionVars.listType = 'monuments';
                App.routers.mainRouter.navigate('monuments',{
                trigger:true
                });
            }
        },
        pilgrims: function() {
            console.log("pilgrims clicked");
            App.sessionVars.monumentType = 'pilgrims';            
            if(localStorage.getItem('monuments')==null)
            {
                App.controller.showPopup('loader');
                App.communication.GET({
                url:'http://etplindia.com/asi/test.php',
                successCallback:function(data){
                    console.log(data);
                    localStorage.setItem('monuments',JSON.stringify(data));
                    localStorage.setItem('cacheDate',new Date().getTime()); 
                    App.sessionVars.listType = 'pilgrims';
                    App.routers.mainRouter.navigate('monuments',{
                        trigger:true
                    });
                },
                onCompleteCallBack:function(){
                    App.controller.popupsClose();
                },
                errorCallback:function(){
                    console.log('api failed');
                    App.controller.showSecondPopup("alert",{
                        title:'Monument List could not be fetched.',
                        callBack : function(){                            
                        }
                    },null);
                }
            });
                
            }
            else
            {
                App.sessionVars.listType = 'pilgrims';
                App.routers.mainRouter.navigate('monuments',{
                trigger:true
                });
            }
        },
        itenary: function() {
            console.log("itenary clicked");

            App.controller.showSecondPopup("confirm", {
                title : 'Create New Itinerary ??',
                callBack : function() 
                {
                    console.log('here');
                    if(App.sessionVars.click=="ok")
                    {
                        // create new itenary
                        App.sessionVars.itenaryType = "create";
                        App.routers.mainRouter.navigate('itenary',{
                                trigger:true
                            });
                    }
                    else
                    {
                        App.sessionVars.itenaryType = "view";
                        //check whether there are saved itenaries and show list.
                        if(localStorage.getItem('savedItenaries')==null)
                        {
                            window.setTimeout(function(){ App.controller.showSecondPopup("alert",{
                                    title:'You have no saved itenaries.',
                                    callBack : function(){                            
                                    }
                                },null);
                            },50);
                        }
                        else
                        {
                            App.routers.mainRouter.navigate('itenary',{
                                trigger:true
                            });
                        }

                    }

                }
                }, null);
        },
        about: function() {
            console.log("about clicked");
            App.routers.mainRouter.navigate('about',{
                trigger:true
            });
        },
    });
})();