;(function() {
    app.pages.itenaryList = Backbone.Marionette.Layout.extend({
        template: '#itenaryLayout',
        regions: {
            content: ".content_wrapper_h"
        },        
        events : {
            'click .itenary_h':'itenarytList',
            'click .detail_h':'selectMonument',
            'click .save_h':'saveItenary',
            'click .start_h' : 'startDate',
            'click .end_h' : 'endDate',
        },
        init: function() {
            console.log("itenary LAYOUT INIT");
        },
        onCloseLayout: function() {
            console.log("LAYOUT CLOSE");
        },
        selectMonument: function(e) {
            
            if($(e.currentTarget).hasClass('selected'))
                $(e.currentTarget).removeClass('selected');
            else
                $(e.currentTarget).addClass('selected');
        },        
        itenarytList: function(e) {
            console.log("itenary clicked");
            App.sessionVars.listType = 'dataItenary';
            App.sessionVars.dataItenaryId = $(e.currentTarget).attr('dataItenary');
            App.routers.mainRouter.navigate('monuments',{
                trigger:true
            });
        },
        saveItenary : function(e)
        {
            // clear sessionVars.start_date amd end_date after successful creation

            // no monument selected
            if($('.selected').length==0)
            {
                    App.controller.showSecondPopup("alert",{
                                title:'You have not selected any monument.',
                                callBack : function(){                            
                                }
                    },null);
                    return false;
            }
            

            var start_date = new Date(App.sessionVars.start_date);
            var end_date = new Date(App.sessionVars.end_date);

            if((start_date== "") || (start_date=="Invalid Date"))
            {
                    App.controller.showSecondPopup("alert",{
                                title:'Please Select Start Date.',
                                callBack : function(){                            
                                }
                    },null);
                    return false;

            }
            if((end_date== "") || (end_date=="Invalid Date"))
            {
                    App.controller.showSecondPopup("alert",{
                                title:'Please Select End Date.',
                                callBack : function(){                            
                                }
                    },null);
                    return false;

            }


            if((end_date.getTime() > $.now()) && (end_date.getTime() > start_date.getTime()))
            {

                var selected = new Array();
                $.each($('.selected'), function( index, value ) {
                  selected[selected.length] = $(this).attr('mid');
                });

                // b has all saved data 
                var b = JSON.parse(localStorage.getItem('monuments'));

                var saveItenary = new Array();
                // monumentList contains mid of the selected monuments
                var monumentList = selected; // these are mid's
                $.each(monumentList, function( index, value ) {
                  saveItenary[saveItenary.length] = _.where(b, {mid: value})[0];
                });

                var finalList = { 'start' : start_date , 'end' : end_date , 'list' : saveItenary };

                //Now push the finalList in localStorage.SavedItenaries List

                if(localStorage.getItem('savedItenaries')==null)
                {
                    var create = new Array();
                    create.push(finalList);
                    localStorage.setItem('savedItenaries',JSON.stringify(create));
                }
                else
                {
                    var create = JSON.parse(localStorage.getItem('savedItenaries'));
                    create.push(finalList);
                    localStorage.setItem('savedItenaries',JSON.stringify(create));
                }

                App.controller.showSecondPopup("alert",{
                                title:'Itinerary Saved.',
                                callBack : function(){
                                   App.sessionVars.start_date = '';
                                   App.sessionVars.end_date = '';         
                                    App.sessionVars.itenaryType = "view";                       
                                    App.controller.showItenary();
                                }
                    },null);

            }
            else
            {
                    App.controller.showSecondPopup("alert",{
                                title:'End Date should be greater than Start Date and Current Date.',
                                callBack : function(){                            
                                }
                    },null);
                    return false;

            }
        },
        startDate: function(){
            // web case
            if(typeof datePicker=="undefined")
            {           
                        App.sessionVars.start_date = new Date();
                        $('.start_h').html(dates(App.sessionVars.start_date.getTime()));
            }
            else
            {
                var options = {
                  date: new Date(),
                  mode: 'date'
                };
                
                datePicker.show(options, function(date){
                if(date!="undefined")
                  {
                        App.sessionVars.start_date = date;
                        $('.start_h').html(dates(App.sessionVars.start_date.getTime()));

                  }
                else
                {
                        console.log('undefined date');
                }  
                });
            }

        },
        endDate: function(){
            // web case
            if(typeof datePicker=="undefined")
            {
                        var a = new Date();
                        a.setDate(a.getFullYear()+1);
                        App.sessionVars.end_date = a;
                        $('.end_h').html(dates(App.sessionVars.end_date.getTime()));
            }
            else
            {
                var options = {
                  date: new Date(),
                  mode: 'date'
                };
                
                datePicker.show(options, function(date){
                if(date!="undefined")
                  {
                        App.sessionVars.end_date = date;
                        $('.end_h').html(dates(App.sessionVars.end_date.getTime()));

                  }
                else
                {
                        console.log('undefined date');
                }  
                });
            }
        },
    });
})();