;(function() {
    app.pages.monument = Backbone.Marionette.Layout.extend({
        template: '#monumentLayout',
        regions: {
            content: ".content_wrapper_h"
        },        
        events : {
            'click .detail_h':'detail',
            'keyup .search_h':'doneHandling'
        },
        init: function() {
            _.bindAll(this, 'doSearch');
            console.log("monument LAYOUT INIT");
        },
        onCloseLayout: function() {
            console.log("LAYOUT CLOSE");
        },
        detail: function(e) {
            console.log("detail clicked");
            App.sessionVars.detailId = $(e.currentTarget).attr('mid');
            App.routers.mainRouter.navigate('detail',{
                trigger:true
            });
        },
        doSearch : function()
        {
            console.log('doSearch----'+App.sessionVars.searchField);
            var data = JSON.parse(localStorage.getItem('monuments'));
            var s = App.sessionVars.searchField;
            var searchItems = new Array();
            $.each(data, function(index , value ){
                if((value.name.toLowerCase().indexOf(s.toLowerCase()))>-1 && value.pilgri!="1")
                { 
                    searchItems[searchItems.length] = value ;
                }
            });

            if(searchItems.length > 0)
            {   
                var data = searchItems;
                var base = data[0].baseUrl;       
                var string = ''; 
                for(var i=0; i<data.length;i++) 
                { 
                    var imgUrl = base+data[i].image[0];
                    string += '<div class="media_item_con white_box detail_h" mid="'+data[i].mid+'"><div class="media_item">'+               
                        '<div class="media_pic" style="background: url('+imgUrl+') no-repeat 50%; background-size: contain;"></div>'+               
                        '<div class="title">'+data[i].name+'</div></div></div>';

                }                
                $('.content_wrapper_h ').html(string);
            }
            else
            {
                    App.controller.showSecondPopup("alert",{
                        title:'Sorry!! No Monuments Found.',
                        callBack : function(){                            
                        }
                    },null);            
            }


        },
        doneHandling : function(e) {
            console.log('in doneHandling');
            if (e.keyCode == 13) {
                if($('.search_h').val()!='')
                {
                    App.sessionVars.searchField = $('.search_h').val();
                    this.doSearch();
                }
                else
                {
                    App.controller.showSecondPopup("alert",{
                        title:'Search Field cannot be blank !!',
                        callBack : function(){
                            console.log("User accepts the invitation");
                            App.events.closeSecondPopups();
                        }
                    },null);
                }
            }
        }
    });
})();